DiskPartition (CMDB Model API)
Keywords: com.collation.platform.model.topology.dev.DiskPartition interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.dev
Interface DiskPartition

All Superinterfaces:
  LogicalDevice, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, StorageExtent

All Known Subinterfaces:
  VeritasSubdisk

    public interface DiskPartition

extends StorageExtent

The DiskPartition represents a StorageExtent that has been formatted for use by a specific type of file system. Typically, self-recognizable information has been placed on the storage medium. A DiskPartition is a presentation of a contiguous range of logical blocks that is identifiable by the Operating System via the Partition's type and subtype fields. Disk Partitions should be directly realized by PhysicalMedia (indicated by the RealizesDiskPartition association) or built on StorageVolumes (indicated by the PartitionBasedOnVolume association.)

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.dev.StorageExtent
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getPartitionSubType()` Possible value (from CIM) "Empty | Microsoft", "DOS 12-bit FAT", "XENIX root", "XENIX usr", "DOS 16-bit FAT", "DOS Extended", "DOS 16-bit FAT (> 32MB)", "OS/2 HPFS | Win NTFS | QNX Ver 2 | Adv UNIX", "AIX Boot | OS /2 | Dell (Array) | Commodore DOS", "AIX Data, Coherent", "OS/2 Boot Manager", "32-bit FAT", "32-bit FAT", "Microsoft 16-bit FAT", "Microsoft DOS Extended", "OPUS | OS/2 2.0", "OS/2 (MOSS) Inactive Type 1", "Compaq Diagnostics Partition | Microsoft", "OS/2 (MOSS) Inactive Type 4", "OS/2 (MOSS) Inactive Type 6", "OS/2 (MOSS) Inactive Type 7", "OS/2 (MOSS) Inactive Type B", "OS/2 (MOSS) Inactive Type C", "Microsoft", "Microsoft", "Microsoft", "Microsoft", "Microsoft", "Microsoft", "Microsoft", "OS/2 Logical Volume Manager", "Microsoft", "OS/2 JFS Log", "PowerQuest", "VENIX 80286 | Series/1 Disk", "Personal RISC Boot", "Veritas", "Veritas", "OnTrack Disk Manager Read Only DOS", "OnTrack Disk Manager Read/Write DOS", "CPM | Microport System V/386 | OnTrack Disk Mgr | " "Microsoft", "OnTrack Disk Manager", "OnTrack Disk Manager Non-DOS", "Micro House EZ-Drive Non-DOS", "Golden Bow Vfeature | Microsoft", "Storage Dimensions SpeedStor | Microsoft", "UNIX - AT&T System V/386 | SCO UNIX", "Novell NetWare | Speedstore", "Novell NetWare", "Novell NetWare", "Novell", "Novell", "Novell", "Microsoft", "Microsoft", "Microsoft", "PC/IX IBM", "Microsoft", "QNX POSIX", "QNX POSIX (Secondary)", "QNX POSIX (Secondary)", "Minix (<=1.4a) | Linux | Microsoft", "Minix (>=1.4b) | Microsoft", "Linux Swap | Prime", "Linux Native | Apple", "System Hibernation for APM", "Microsoft", "HPFS FT mirror", "Amoeba | Microsoft", "Amoeba BBT | Microsoft", "Microsoft", "Microsoft", "Microsoft", "BSD/386", "Microsoft", "Microsoft", "Microsoft", "Microsoft", "Microsoft", "BSDI fs | Microsoft", "BSDI Swap | Microsoft", "Microsoft", "Microsoft", "Microsoft", "Syrinx | HPFS FT Disabled Mirror", "CP/M 86", "Digital Research CPM-86 | Concurrent DOS | OUTRIGGER", "SpeedStor 12-bit FAT Extended", "DOS Read-Only | Storage Dimensions", "SpeedStor 16-bit FAT Extended", "Microsoft", "Microsoft", "Intel", "OS/2 Raw Data", "Storage Dimensions", "DOS (Secondary)", "Microsoft", "SpeedStor Large | Storage Dimensions", "Microsoft", "Lan Step | SpeedStor | IBM PS/2 IML", "Bad Block Tables", "Unknown"
`java.lang.String` | `getPartitionType()` "Unknown", "Primary", "Extended", "Logical"
`boolean` | `getPrimaryPartition()`
`boolean` | `hasPartitionSubType()`
`boolean` | `hasPartitionType()`
`boolean` | `hasPrimaryPartition()`
`void` | `setPartitionSubType(java.lang.String subtype)`
`void` | `setPartitionType(java.lang.String type)`
`void` | `setPrimaryPartition(boolean isPrimary)`

Methods inherited from interface com.collation.platform.model.topology.dev.StorageExtent
`getBasedOn, getBlockSize, getCapacity, getController, getDeviceID, getFreeSpace, getName, getNumOfBlocks, getParent, getRealizedBy, getVirtual, hasBasedOn, hasBlockSize, hasCapacity, hasController, hasDeviceID, hasFreeSpace, hasName, hasNumOfBlocks, hasParent, hasRealizedBy, hasVirtual, setBasedOn, setBlockSize, setCapacity, setController, setDeviceID, setFreeSpace, setName, setNumOfBlocks, setParent, setRealizedBy, setVirtual`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getPrimaryPartition

    boolean getPrimaryPartition()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPrimaryPartition

    void setPrimaryPartition(boolean isPrimary)

### hasPrimaryPartition

    boolean hasPrimaryPartition()

### getPartitionType

    java.lang.String getPartitionType()
                                      throws AttributeNotSetException

  "Unknown", "Primary", "Extended", "Logical"

  Returns:
  Throws:
    `AttributeNotSetException`

### setPartitionType

    void setPartitionType(java.lang.String type)

### hasPartitionType

    boolean hasPartitionType()

### getPartitionSubType

    java.lang.String getPartitionSubType()
                                         throws AttributeNotSetException

  Possible value (from CIM) "Empty | Microsoft", "DOS 12-bit FAT", "XENIX root", "XENIX usr", "DOS 16-bit FAT", "DOS Extended", "DOS 16-bit FAT (> 32MB)", "OS/2 HPFS | Win NTFS | QNX Ver 2 | Adv UNIX", "AIX Boot | OS /2 | Dell (Array) | Commodore DOS", "AIX Data, Coherent", "OS/2 Boot Manager", "32-bit FAT", "32-bit FAT", "Microsoft 16-bit FAT", "Microsoft DOS Extended", "OPUS | OS/2 2.0", "OS/2 (MOSS) Inactive Type 1", "Compaq Diagnostics Partition | Microsoft", "OS/2 (MOSS) Inactive Type 4", "OS/2 (MOSS) Inactive Type 6", "OS/2 (MOSS) Inactive Type 7", "OS/2 (MOSS) Inactive Type B", "OS/2 (MOSS) Inactive Type C", "Microsoft", "Microsoft", "Microsoft", "Microsoft", "Microsoft", "Microsoft", "Microsoft", "OS/2 Logical Volume Manager", "Microsoft", "OS/2 JFS Log", "PowerQuest", "VENIX 80286 | Series/1 Disk", "Personal RISC Boot", "Veritas", "Veritas", "OnTrack Disk Manager Read Only DOS", "OnTrack Disk Manager Read/Write DOS", "CPM | Microport System V/386 | OnTrack Disk Mgr | " "Microsoft", "OnTrack Disk Manager", "OnTrack Disk Manager Non-DOS", "Micro House EZ-Drive Non-DOS", "Golden Bow Vfeature | Microsoft", "Storage Dimensions SpeedStor | Microsoft", "UNIX - AT&T System V/386 | SCO UNIX", "Novell NetWare | Speedstore", "Novell NetWare", "Novell NetWare", "Novell", "Novell", "Novell", "Microsoft", "Microsoft", "Microsoft", "PC/IX IBM", "Microsoft", "QNX POSIX", "QNX POSIX (Secondary)", "QNX POSIX (Secondary)", "Minix (<=1.4a) | Linux | Microsoft", "Minix (>=1.4b) | Microsoft", "Linux Swap | Prime", "Linux Native | Apple", "System Hibernation for APM", "Microsoft", "HPFS FT mirror", "Amoeba | Microsoft", "Amoeba BBT | Microsoft", "Microsoft", "Microsoft", "Microsoft", "BSD/386", "Microsoft", "Microsoft", "Microsoft", "Microsoft", "Microsoft", "BSDI fs | Microsoft", "BSDI Swap | Microsoft", "Microsoft", "Microsoft", "Microsoft", "Syrinx | HPFS FT Disabled Mirror", "CP/M 86", "Digital Research CPM-86 | Concurrent DOS | OUTRIGGER", "SpeedStor 12-bit FAT Extended", "DOS Read-Only | Storage Dimensions", "SpeedStor 16-bit FAT Extended", "Microsoft", "Microsoft", "Intel", "OS/2 Raw Data", "Storage Dimensions", "DOS (Secondary)", "Microsoft", "SpeedStor Large | Storage Dimensions", "Microsoft", "Lan Step | SpeedStor | IBM PS/2 IML", "Bad Block Tables", "Unknown"

  Throws:
    `AttributeNotSetException`

### setPartitionSubType

    void setPartitionSubType(java.lang.String subtype)

### hasPartitionSubType

    boolean hasPartitionSubType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD